import os

global_unique_proteins = set()
global_unique_interactions = set()

for file in os.listdir('.'):
	if file.endswith(".sig"):
		unique_proteins = set()
		unique_interactions = set()
	
		with open(file) as sig_file:
			for line in sig_file:
				split_line = line.split()
				
				unique_proteins.add(split_line[0])
				unique_proteins.add(split_line[5])
				
				if split_line[0] < split_line[5]:
					unique_interactions.add(split_line[0] + ":" + split_line[5])
				else:
					unique_interactions.add(split_line[5] + ":" + split_line[0])
		
		print 'Unique proteins in %s: %d' % (file, len(unique_proteins))
		print 'Unique interactions in %s: %d' % (file, len(unique_interactions))
		
		global_unique_proteins.update(unique_proteins)
		global_unique_interactions.update(unique_interactions)
		
print 'Unique proteins: %d' % len(global_unique_proteins)
print 'Unique interactions: %d' % len(global_unique_interactions)